import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PpMobileWhiteLot } from '../models/index';
/**
 * @author auto generate
 * @version 1.3
 * @date 2022-07-28 17:06
 */
interface PpMobileWhiteLotCU extends ConditionUtil<PpMobileWhiteLotCU> {
    LOT_ID: FieldUtil<PpMobileWhiteLotCU>;
    CREATE_TIME: FieldUtil<PpMobileWhiteLotCU>;
}
declare class PpMobileWhiteLotMU extends TableUtilImpl<PpMobileWhiteLotCU, PpMobileWhiteLot> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PpMobileWhiteLotCU;
    static get LOT_ID(): FieldUtil<PpMobileWhiteLotCU>;
    static get CREATE_TIME(): FieldUtil<PpMobileWhiteLotCU>;
    get LOT_ID(): FieldUtil<PpMobileWhiteLotCU>;
    get CREATE_TIME(): FieldUtil<PpMobileWhiteLotCU>;
}
export { PpMobileWhiteLotMU, PpMobileWhiteLotCU };
